Package org.silverpeas.mobile.client.apps.documents.pages

## Class GedNavigationPage

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - org.silverpeas.mobile.client.components.base.PageContent
        - - org.silverpeas.mobile.client.apps.documents.pages.GedNavigationPage

- All Implemented Interfaces:
    `com.google.gwt.event.logical.shared.HasAttachHandlers`, `com.google.gwt.event.shared.EventHandler`, `com.google.gwt.event.shared.HasHandlers`, `com.google.gwt.user.client.Event.NativePreviewHandler`, `com.google.gwt.user.client.EventListener`, `com.google.gwt.user.client.ui.HasVisibility`, `com.google.gwt.user.client.ui.IsRenderable`, `com.google.gwt.user.client.ui.IsWidget`, `GedNavigationPagesEventHandler`, `View`, `PageEventHandler`

      public class GedNavigationPage
      extends PageContent
      implements View, GedNavigationPagesEventHandler

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class org.silverpeas.mobile.client.components.base.PageContent

      `clicked, pageTitle`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GedNavigationPage()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getRootTopicId()` |
    `void` | `onGedItemClicked​(GedItemClickEvent event)` |
    `void` | `onLoadedTopics​(GedItemsLoadedEvent event)` |
    `void` | `onPublicationPublished​(GedItemPublishedEvent event)` |
    `void` | `setInstanceId​(String instanceId)` |
    `void` | `setPersonnal​(boolean personnal)` |
    `void` | `setRootTopicId​(String rootTopicId)` |
    `void` | `setTopicId​(String rootTopicId)` |
    `void` | `stop()` |

    - ### Methods inherited from class org.silverpeas.mobile.client.components.base.PageContent

      `addActionMenu, addActionShortcut, back, changeSelectionNumber, clearActions, clickGesture, finishLoadingData, getApp, getPageTitle, hide, isSelectionMode, isVisible, loadedDataEvent, loadedMoreDataEvent, onPreviewNativeEvent, receiveEvent, removeActionMenu, removeActionShortcut, setApp, setPageTitle, setSelectionMode, setViewport, setVisible, show`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setWidth, sinkBitlessEvent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GedNavigationPage

          public GedNavigationPage()

  - ### Method Detail

    - #### setPersonnal

          public void setPersonnal​(boolean personnal)

    - #### stop

          public void stop()

      Specified by:
        `stop` in interface `View`
      Overrides:
        `stop` in class `PageContent`

    - #### setTopicId

          public void setTopicId​(String rootTopicId)

    - #### setInstanceId

          public void setInstanceId​(String instanceId)

    - #### onLoadedTopics

          public void onLoadedTopics​(GedItemsLoadedEvent event)

      Specified by:
        `onLoadedTopics` in interface `GedNavigationPagesEventHandler`

    - #### onGedItemClicked

          public void onGedItemClicked​(GedItemClickEvent event)

      Specified by:
        `onGedItemClicked` in interface `GedNavigationPagesEventHandler`

    - #### onPublicationPublished

          public void onPublicationPublished​(GedItemPublishedEvent event)

      Specified by:
        `onPublicationPublished` in interface `GedNavigationPagesEventHandler`

    - #### getRootTopicId

          public String getRootTopicId()

    - #### setRootTopicId

          public void setRootTopicId​(String rootTopicId)